ADAM_2.12: Core 1.0.1 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package io
  Definition Classes
    adam
- FastqInputFormat
- FastqRecordReader
- InterleavedFastqInputFormat
- SingleFastqInputFormat

c

org.bdgenomics.adam.io

# FastqRecordReader 

###

#### abstract class FastqRecordReader extends RecordReader[Void, Text]

A record reader for the interleaved FASTQ format.

Reads over an input file and parses interleaved FASTQ read pairs into a single Text output. This is then fed into the FastqConverter, which converts the single Text instance into two Alignments.

Linear Supertypes
RecordReader[Void, Text], Closeable, AutoCloseable, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FastqRecordReader
2. RecordReader
3. Closeable
4. AutoCloseable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new FastqRecordReader(conf: Configuration, split: FileSplit)
   Attributes
     protected[io]

### Abstract Value Members

1.  abstract def checkBuffer(bufferLength: Int, buffer: Text): Boolean

   Checks to see whether the buffer is positioned at a valid record.

   Checks to see whether the buffer is positioned at a valid record.

   bufferLength

     The length of the line currently in the buffer.

   buffer

     A buffer containing a peek at the first line in the current stream.

   returns

     Returns true if the buffer contains the first line of a properly formatted FASTQ record.

   Attributes
     protected[io]
2.  abstract def next(value: Text): Boolean

   Reads from the input split.

   Reads from the input split.

   value

     Text record to write input value into.

   returns

     Returns whether this read was successful or not.

   Attributes
     protected[io]
   See also

     #lowLevelFastqRead(Text, Text)

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def close(): Unit

   Close this RecordReader to future operations.

   Close this RecordReader to future operations.

   Definition Classes
     FastqRecordReader → RecordReader → Closeable → AutoCloseable
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  final def getCurrentKey(): Void

    FASTQ has no keys, so we return null.

    FASTQ has no keys, so we return null.

    returns

      Always returns null.

    Definition Classes
      FastqRecordReader → RecordReader
11.  final def getCurrentValue(): Text

    Returns the last interleaved FASTQ record.

    Returns the last interleaved FASTQ record.

    returns

      The text corresponding to the last read pair.

    Definition Classes
      FastqRecordReader → RecordReader
12.  final def getProgress(): Float

    How much of the input has the RecordReader consumed?

    How much of the input has the RecordReader consumed?

    returns

      Returns a value on [0.0, 1.0] that notes how many bytes we have read so far out of the total bytes to read.

    Definition Classes
      FastqRecordReader → RecordReader
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native() @HotSpotIntrinsicCandidate()
14.  final def initialize(split: InputSplit, context: TaskAttemptContext): Unit
    Definition Classes
      FastqRecordReader → RecordReader
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def lowLevelFastqRead(readName: Text, value: Text): Boolean

    Parses a read from an interleaved FASTQ file.

    Parses a read from an interleaved FASTQ file.

    Only reads a single record.

    readName

      Text record containing read name. Output parameter.

    value

      Text record containing full record. Output parameter.

    returns

      Returns true if read was successful (did not hit EOF).

    Attributes
      protected[io]
    Exceptions thrown

      `RuntimeException` Throws exception if FASTQ record doesn't have proper formatting (e.g., record doesn't start with @).

17.  final def makePositionMessage(): String

    Produces a debugging message with the file position.

    Produces a debugging message with the file position.

    returns

      Returns a string containing {filename}:{index}.

    Attributes
      protected[io]
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def nextKeyValue(): Boolean

    Seeks ahead in our split to the next key-value pair.

    Seeks ahead in our split to the next key-value pair.

    Triggers the read of an interleaved FASTQ read pair, and populates internal state.

    returns

      True if reading the next read pair succeeded.

    Definition Classes
      FastqRecordReader → RecordReader
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
22.  final def positionAtFirstRecord(stream: FSDataInputStream, codec: CompressionCodec): Int

    Position the input stream at the start of the first record.

    Position the input stream at the start of the first record.

    stream

      The stream to reposition.

    Attributes
      protected[io]
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated
   Deprecated

### Inherited from RecordReader[Void, Text]

### Inherited from Closeable

### Inherited from AutoCloseable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped